Ticket #582 (closed task: fixed)

Opened 11 years ago

Last modified 7 years ago

Reexamine debathena-athena-libraries

Reported by: broder Owned by:
Priority: trivial Milestone: Current Semester
Component: -- Keywords:
Cc: Fixed in version:
Upstream bug:

Description

debathena-athena-libraries was created to try and create compatibility with the libraries installed on an Athena 9 workstation for the purposes of locker compatibility.

Now that we've managed to take over the world, it's not clear doing that still makes sense.

We should figure out what athena-libraries should do these days

Change History

comment:1 Changed 9 years ago by jdreed

  • Milestone changed from The Distant Future to Precise Release

Given #931, now would be a good time to think about this.

You have 2 weeks to defend debathena-athena-libraries' existence. Go.

comment:2 Changed 9 years ago by jdreed

TTL expired. My plan to is take the Recommendations as they exist in Precise, and make them static (it's not like more i386_rhel3 apps are going to suddenly appear). Not sure the best way to deal with arch skew -- recommend everything and hope for the best? I mean, there are things that are just dumb to recommend (like libc6 and libelf1), but there are also plenty of things that _should_ exist on a working system anyway (like, do we really need to recommend xrandr and libhesiod0?)

comment:3 Changed 9 years ago by jdreed

  • Status changed from new to committed

comment:4 Changed 7 years ago by jdreed

  • Status changed from committed to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.